Create custom metadata values

Create custom metadata values for an Asset catalog task record.

POST https://{controlplane_path}/api/1/rest/public/catalog/{env_org}/custom-metadata?{uid}
Create custom metadata values for an Asset catalog task record.

Prerequisites

  • Environment (Org) admin permissions

Path parameter

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
env_org Required. The name of the SnapLogic environment/Org. For example, My-Dev-Env

Query parameters

Parameter Description Required
uid The task ID in the form of path/task_name, where the path includes environment-name, project-space, and project-name. For example, MY-ENV/projects/My-project/My-task. Yes

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

An array of key-value pairs that specify the existing column names and the values to create.

Important: If the request contains multiple values for the same column, the API uses the last key-value pair and ignores the rest.
{
  "customColumn1": "value",
  "customColumn2": "value",
  "customColumn3": "value"
}
Key Type Description
customColumn string The name of a custom column. The column must exist.
value string The value to add.

Response

A successful response includes a Code 200 OK and the new values:

{
 "customColumn1": "value",
 "customColumn2": "value",
 "customColumn3": "value"
}

Example

To use the following curl example:
  • In the URI, replace My-Dev-Env with your environment ID.
  • Replace the query uid parameter MY-ENV/projects/My-project/My-task with the path to your task. Encode the slashes in the query parameter path.
  • In the request body, replace "my_custom_id":"my_custom_val" and "NewKey":"123" with your custom column names and values.
curl -X 'POST' \
  'http://elastic.snaplogic.com/api/1/rest/public/catalog/My-Dev-Env/custom-metadata?uid=MY-ENV%2Fprojects%2My-project%My-task' \
  -H 'accept: */*' \
  -H 'Content-Type: application/json' \
  -d '{
  "my_custom_id": "my_custom_val",
  "NewKey": "123"
}'

The response includes the new values:

{
  "my_custom_id": "my_custom_val",
  "NewKey": "123"
}